version: '3.2'
# quodatum basex
services:

  basex:
    image: "quodatum/basexhttp:latest"
    container_name: basex-test
    command: /srv/basex/bin/basexhttp
    ports:
      - 9090:8080
      - 1985:1984
    environment:
      BASEX_JVM: "-Xmx1g"      
    restart: unless-stopped
    volumes: 
      - ./data:/srv/basex/data
      - ./webapp:/srv/basex/webapp
      - ./repo:/srv/basex/repo
      - ./.basex:/srv/basex/.basex
#     - ./custom:/srv/basex/lib/custom